Notes de mise à jour de Moodle 2.4.8 : Différence entre versions

Attention : vous consultez actuellement la documentation dédiée aux versions 2.x de Moodle. La documentation pour les versions 3.x de Moodle est consultable ici : Notes de mise à jour de Moodle 2.4.8.

(Sécurité)
(Version plus entièrement supportée)
Ligne 1 : Ligne 1 :
 +
<noinclude><p class="note">'''Cette version de Moodle n'est plus entièrement supportée.''' Généralement, seuls les correctifs de sécurité ont été intégrés. Vous êtes encouragé à [[:fr:Mise à jour|mettre à jour]] vers une [[:fr:Historique des versions|version]] entièrement supportée de Moodle.</p></noinclude>
 
<noinclude><div class="navtrail">[[Accueil]] ► [[Installation]] ► [[Historique des versions]] ► [[{{FULLPAGENAME}}]]</div></noinclude>
 
<noinclude><div class="navtrail">[[Accueil]] ► [[Installation]] ► [[Historique des versions]] ► [[{{FULLPAGENAME}}]]</div></noinclude>
  

Version du 5 mars 2014 à 09:48

Cette version de Moodle n'est plus entièrement supportée. Généralement, seuls les correctifs de sécurité ont été intégrés. Vous êtes encouragé à mettre à jour vers une version entièrement supportée de Moodle.

Date de sortie : 13 janvier 2014

Consulter la liste des détails sur les évolutions et corrections de bogues de cette version 2.4.8 (en anglais).

Changements importants

  • MDL-41819 - Possibilité de modifier un grand nombre de notes dans le rapport de notes

Sécurité

  • MSA-14-0001 Config passwords visibility issue
  • MSA-14-0002 Group constraints lacking in "login as"
  • MSA-14-0003 Cross-site request forgery vulnerability in profile fields

Corrections et améliorations

  • MDL-34182 - Invalid JSON no longer output on filepicker when repository plugins output invalid content
  • MDL-43367 - get_child_contexts() returns correct contexts when context path missing
  • MDL-40003 - Les commentaires de devoirs rendus sont restaurés
  • MDL-42085 - La durée d'inscription par défaut s'applique maintenant lors de l'inscription manuelle d'un utilisateur

Voir aussi